SUSE 10.1 (x86-64bit)

  • ページ: 動作報告
  • 投稿者: oishi?
  • 状態: 成功
  • ptetexバージョン:20061209
  • 投稿日: 2006-12-10 (日) 16:16:43

必要パッケージ

openmotif-devel-2.2.4-21

をインストールしないと,xdviのコンパイル時に-lXmがないと言われてしまう.

my_option

CONF_OPTION="$CONF_OPTION --with-system-zlib"
CONF_OPTION="$CONF_OPTION --with-system-pnglib"
CONF_OPTION="$CONF_OPTION --with-system-gd"
CONF_OPTION="$CONF_OPTION --with-system-ncurses"

CONF_OPTION="$CONF_OPTION --without-dviljk"
CONF_OPTION="$CONF_OPTION --without-info"
CONF_OPTION="$CONF_OPTION --without-texi2html"
CONF_OPTION="$CONF_OPTION --without-texinfo"
CONF_OPTION="$CONF_OPTION --without-dialog"
CONF_OPTION="$CONF_OPTION --without-dvipng"

SYSTEM_FREETYPE2="no"  #これが重要

メッセージ

SYSTEM_FREETYPE2="no"が重要です.

SuSE10.1のFreetypeは,2.1.10なので指定しなければ自動判別でYESになるが,どうもコンパイル時に上手く参照できず,xdviのコンパイルでエラーになります.

これで,快適なTeX生活を送ることが出来ます.ありがとうございます.


  • 報告ありがとうございます。
  • 手元の環境では SYSTEM_FREETYPE2 は yes のままで、問題なくコンパイルできました。
    freetype2-2.1.10-18.3
    freetype2-32bit-2.1.10-18.3
    freetype2-devel-2.1.10-18.3
    が入っているだけですが、不思議です。 -- 土村? 2006-12-11 (月) 11:32:39
  • 複数のPCに10.1をインストールして試したのですが,いつも上のような症状になりました.もちろん,freetypeのパッケージは全て入っています.これら以外に何かのパッケージが足りないと思います. -- oishi? 2006-12-15 (金) 14:52:38


トップ   編集 凍結 差分 バックアップ 添付 複製 名前変更 リロード   新規 一覧 単語検索 最終更新   ヘルプ   最終更新のRSS
Last-modified: 2007-01-03 (水) 14:38:06 (4458d)